org.jenkinsci.maven.plugins.hpi

## Class HpiMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.jenkinsci.maven.plugins.hpi.AbstractJenkinsMojo
    - - org.jenkinsci.maven.plugins.hpi.AbstractHpiMojo
      - - org.jenkinsci.maven.plugins.hpi.HpiMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class HpiMojo
    extends AbstractHpiMojo

Build a war/webapp.

Version:
  $Id: HpiMojo.java 33552 2010-08-03 23:28:55Z olamy $
Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from class org.jenkinsci.maven.plugins.hpi.AbstractHpiMojo

`archiverManager, globalMaskClasses, localRepository, maskClasses, outputDirectory, pluginName, projectBuilder, warSourceDirectory`

### Fields inherited from class org.jenkinsci.maven.plugins.hpi.AbstractJenkinsMojo

`jenkinsCoreId, project`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`HpiMojo()`

### Method Summary

Methods
`void` `execute()` Executes the WarMojo on the current project.
`protected java.io.File` `getOutputFile(java.lang.String extension)`

### Methods inherited from class org.jenkinsci.maven.plugins.hpi.AbstractHpiMojo

`buildExplodedWebapp, buildWebapp, copyResources, copyResources, getClassesDirectory, getContainerConfigXML, getDependentWarExcludes, getDependentWarIncludes, getDirectDependencyArtfacts, getExcludes, getIncludes, getProjectArtfacts, getWebappDirectory, isSupportDynamicLoading, setAttributes, setClassesDirectory, setContainerConfigXML, setWarSourceDirectory, setWebappDirectory, wrap, wrap`

### Methods inherited from class org.jenkinsci.maven.plugins.hpi.AbstractJenkinsMojo

`findJenkinsVersion`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HpiMojo

    public HpiMojo()

### Method Detail

#### getOutputFile

    protected java.io.File getOutputFile(java.lang.String extension)

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Executes the WarMojo on the current project.

Throws:
  `org.apache.maven.plugin.MojoExecutionException` - if an error occurred while building the webapp